import { IParserConfiguration } from "./models/parser.configuration";
import { IBarcodeValue } from "./models";
import { IReaderConfiguration } from './models/reader.configuration';
export declare class BarcodeParser {
    private _barcodeReaders;
    readonly barcodeReaders: any;
    readers: any;
    constructor(config: IParserConfiguration);
    parse(barcodeVal: any): IBarcodeValue;
    protected initReaders(readerTypes: Array<string>, configurations: Array<IReaderConfiguration>): void;
}
