"use strict";
var ApplicationIdentifier = (function () {
    function ApplicationIdentifier(_code, _description, _length, _variableLength, fractional) {
        this._code = _code;
        this._description = _description;
        this._length = _length;
        this._variableLength = _variableLength;
        this._fractional = false;
        this._fractional = fractional || false;
    }
    Object.defineProperty(ApplicationIdentifier.prototype, "code", {
        get: function () {
            return this._code;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ApplicationIdentifier.prototype, "length", {
        get: function () {
            return this._length;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ApplicationIdentifier.prototype, "variableLength", {
        get: function () {
            return this._variableLength;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ApplicationIdentifier.prototype, "description", {
        get: function () {
            return this._description;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ApplicationIdentifier.prototype, "totalLength", {
        get: function () {
            return this._code.length + this._length + (this.fractional === true ? 1 : 0);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ApplicationIdentifier.prototype, "fractional", {
        get: function () {
            return this._fractional;
        },
        enumerable: true,
        configurable: true
    });
    ;
    return ApplicationIdentifier;
}());
exports.ApplicationIdentifier = ApplicationIdentifier;
//# sourceMappingURL=application-identifier.js.map