"use strict";
var aim_codes_1 = require('../config/aim-codes');
var AimParser = (function () {
    function AimParser() {
    }
    AimParser.parseAimCode = function (symbology, value) {
        switch (symbology) {
            case 'gtin_8':
                return value.replace(aim_codes_1.AIM_CODES.GTIN, '');
            case 'gtin_12':
                return value.replace(aim_codes_1.AIM_CODES.GTIN, '');
            case 'gtin_13':
                return value.replace(aim_codes_1.AIM_CODES.GTIN, '');
            case 'gtin_14':
                return value.replace(aim_codes_1.AIM_CODES.GTIN, '');
            case 'gs1_128':
                return value.replace(aim_codes_1.AIM_CODES.GS1, '');
            case 'itf_14':
                return value.replace(aim_codes_1.AIM_CODES.ITF, '');
            case 'code_39':
                return value.replace(aim_codes_1.AIM_CODES.CODE39, '');
            default:
                return value;
        }
    };
    return AimParser;
}());
exports.AimParser = AimParser;
//# sourceMappingURL=aim-parser.js.map