import { AIM_CODES } from '../config/aim-codes';
export class AimParser {
	public static parseAimCode(symbology: string, value: string): string {
		switch(symbology) {
			case 'gtin_8':
				return value.replace(AIM_CODES.GTIN, '');
			case 'gtin_12':
				return value.replace(AIM_CODES.GTIN, '');
			case 'gtin_13':
				return value.replace(AIM_CODES.GTIN, '');
			case 'gtin_14':
				return value.replace(AIM_CODES.GTIN, '');
			case 'gs1_128':
				return value.replace(AIM_CODES.GS1, '');
			case 'itf_14':
				return value.replace(AIM_CODES.ITF, '');
			case 'code_39':
				return value.replace(AIM_CODES.CODE39, '');
			default:
				return value;
		}
	}
}